Smart Proxy - Bug #8320

Shutdown command does not always work
11/07/2014 10:29 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: BMC
Target version: 1.6.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.6.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/235
Description

On systems which boots/shutdowns quickly, foreman-proxy is terminated before buffer is flushed. Therefore the response body does
not contain expected data.

[7] pry(main)> ::ProxyAPI::BMC.new(:url => "http://192.168.122.37:8443") .power :action => "cycle"
NoMethodError: undefined method " []' for true:TrueClass
from /home/lzap/work/foreman/lib/proxy_api/bmc.rb:57:in " power'

Associated revisions

Revision 81¢c679ec - 11/11/2014 12:29 PM - Lukas Zapletal
Fixes #8320 - shutdown shell provider threading fixed

History

#1 - 11/07/2014 10:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/235 added
- Pull request deleted ()

#2 - 11/07/2014 02:59 PM - Lukas Zapletal
- Target version setto 1.7.2

- translation missing: en.field_release set to 27

Dom any chance of scheduling this in 1.6 errata if any? I'd love to fix discovery 2.0 image (1.6 based).

#3 - 11/11/2014 01:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 81c679ec9bac2ec1def148{45a9{85822be409cf.

05/18/2024 1/1



https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/81c679ec9bac2ec1def148f45a9f85822be409cf
http://www.tcpdf.org

